Attention is currently required from: fixeria, osmith.
Hello Jenkins Builder, fixeria,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
to look at the new patch set (#4).
The following approvals got outdated and were removed:
Verified-1 by Jenkins Builder
Change subject: doc: set state-dir to /var/lib/osmocom/osmo-sgsn
......................................................................
doc: set state-dir to /var/lib/osmocom/osmo-sgsn
Be consistent with osmo-ggsn, and set the state dir to
/var/lib/osmocom/osmo-sgsn. Without this patch, it defaults to the
current directory, which means in case of running with the systemd
service, /var/lib/osmocom.
Copy osmo-sgsn.cfg and osmo-sgsn-accept-all.cfg to the tests dir and do
not set the state-dir there. Usually the user that runs the VTY and CTRL
tests is not allowed to write to /var/lib/osmocom. (I've also tried
generating these on the fly, but that breaks in 'make distcheck', as I
would need to write to the source dir or would need to change
osmo-python-tests etc. to read the config file from another directory.)
Related: osmo-ggsn I5b51529b4f8bd2462e54f58a1ce2e2d7c76ff46a
Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
---
M doc/examples/osmo-sgsn/osmo-sgsn-accept-all.cfg
M doc/examples/osmo-sgsn/osmo-sgsn.cfg
M doc/examples/osmo-sgsn/osmo-sgsn_custom-sccp.cfg
M osmoappdesc.py
M tests/Makefile.am
M tests/ctrl_test_runner.py
A tests/osmo-sgsn-accept-all.cfg
A tests/osmo-sgsn.cfg
M tests/vty_test_runner.py
9 files changed, 110 insertions(+), 8 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-sgsn refs/changes/45/36845/4
--
To view, visit https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-sgsn
Gerrit-Branch: master
Gerrit-Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
Gerrit-Change-Number: 36845
Gerrit-PatchSet: 4
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: newpatchset
Attention is currently required from: fixeria, osmith.
Hello Jenkins Builder, fixeria,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
to look at the new patch set (#3).
Change subject: doc: set state-dir to /var/lib/osmocom/osmo-sgsn
......................................................................
doc: set state-dir to /var/lib/osmocom/osmo-sgsn
Be consistent with osmo-ggsn, and set the state dir to
/var/lib/osmocom/osmo-sgsn. Without this patch, it defaults to the
current directory, which means in case of running with the systemd
service, /var/lib/osmocom.
Related: osmo-ggsn I5b51529b4f8bd2462e54f58a1ce2e2d7c76ff46a
Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
---
M .gitignore
M doc/examples/osmo-sgsn/osmo-sgsn-accept-all.cfg
M doc/examples/osmo-sgsn/osmo-sgsn.cfg
M doc/examples/osmo-sgsn/osmo-sgsn_custom-sccp.cfg
M osmoappdesc.py
M tests/Makefile.am
M tests/ctrl_test_runner.py
M tests/vty_test_runner.py
8 files changed, 36 insertions(+), 10 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-sgsn refs/changes/45/36845/3
--
To view, visit https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-sgsn
Gerrit-Branch: master
Gerrit-Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
Gerrit-Change-Number: 36845
Gerrit-PatchSet: 3
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: newpatchset
Attention is currently required from: fixeria, osmith.
Hello Jenkins Builder, fixeria,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
to look at the new patch set (#2).
The following approvals got outdated and were removed:
Code-Review+1 by fixeria, Verified-1 by Jenkins Builder
Change subject: doc: set state-dir to /var/lib/osmocom/osmo-sgsn
......................................................................
doc: set state-dir to /var/lib/osmocom/osmo-sgsn
Be consistent with osmo-ggsn, and set the state dir to
/var/lib/osmocom/osmo-sgsn. Without this patch, it defaults to the
current directory, which means in case of running with the systemd
service, /var/lib/osmocom.
Related: osmo-ggsn I5b51529b4f8bd2462e54f58a1ce2e2d7c76ff46a
Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
---
M .gitignore
M doc/examples/osmo-sgsn/osmo-sgsn-accept-all.cfg
M doc/examples/osmo-sgsn/osmo-sgsn.cfg
M doc/examples/osmo-sgsn/osmo-sgsn_custom-sccp.cfg
M osmoappdesc.py
M tests/Makefile.am
M tests/ctrl_test_runner.py
M tests/vty_test_runner.py
8 files changed, 36 insertions(+), 10 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-sgsn refs/changes/45/36845/2
--
To view, visit https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-sgsn
Gerrit-Branch: master
Gerrit-Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
Gerrit-Change-Number: 36845
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: newpatchset
Attention is currently required from: laforge.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/pysim/+/36838?usp=email )
Change subject: sysmocom_sjs2: Make sure 'Const' is imported
......................................................................
Patch Set 1: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/36838?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: If34a48e349680ef84e68a4a1a19dde536ecda0e6
Gerrit-Change-Number: 36838
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Comment-Date: Thu, 16 May 2024 09:04:50 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: laforge.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/pysim/+/36837?usp=email )
Change subject: euicc: clarify which eUICCs are supported
......................................................................
Patch Set 2: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/36837?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I3deb9f181075411484158471012ed449c83028fa
Gerrit-Change-Number: 36837
Gerrit-PatchSet: 2
Gerrit-Owner: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Comment-Date: Thu, 16 May 2024 09:04:35 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: osmith.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email )
Change subject: doc: set state-dir to /var/lib/osmocom/osmo-sgsn
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-sgsn/+/36845?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-sgsn
Gerrit-Branch: master
Gerrit-Change-Id: I309807ff0bc125d4653222b2b4ba69ded3bbff70
Gerrit-Change-Number: 36845
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 16 May 2024 09:03:01 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ggsn/+/36843?usp=email )
Change subject: {contrib,debian}/osmo-ggsn.init: remove
......................................................................
{contrib,debian}/osmo-ggsn.init: remove
Remove SysV init scripts. These are not really maintained anymore and
this makes it consistent with other Osmocom projects.
Avoids synchronizing with SysV scripts on debian:
# systemctl enable osmo-ggsn
Synchronizing state of osmo-ggsn.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable osmo-ggsn
Change-Id: I11bfb5122344b54970b7f742470cb74b95fa37e0
---
D contrib/osmo-ggsn.init
D debian/osmo-ggsn.init
2 files changed, 17 insertions(+), 260 deletions(-)
Approvals:
pespin: Looks good to me, but someone else must approve
fixeria: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/contrib/osmo-ggsn.init b/contrib/osmo-ggsn.init
deleted file mode 100644
index 2deb378..0000000
--- a/contrib/osmo-ggsn.init
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/sh
-#
-# osmo-ggsn This shell script takes care of starting and stopping
-# osmo-ggsn.
-#
-# chkconfig: - 65 35
-# description: osmo-ggsn is a Gateway GPRS Support Node.
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-# Source networking configuration.
-. /etc/sysconfig/network
-
-if [ -f /etc/sysconfig/osmo-ggsn ]; then
- . /etc/sysconfig/osmo-ggsn
-fi
-
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
-
-[ -f /usr/bin/osmo-ggsn ] || exit 0
-[ -f /etc/osmo-ggsn.cfg ] || exit 0
-
-RETVAL=0
-prog="osmo-ggsn"
-
-start() {
- # Start daemons.
- echo -n $"Starting $prog: "
-
- # Load tun module
- /sbin/modprobe tun >/dev/null 2>&1
-
- # Enable routing of packets: WARNING!!!
- # Users should enable this explicitly
- # echo 1 > /proc/sys/net/ipv4/ip_forward
-
- # Check for runtime directory of nonvolatile data
- if [ ! -d /var/lib/osmo-ggsn ]; then
- mkdir /var/lib/osmo-ggsn
- fi
-
- # Check for GTP restart counter
- if [ ! -d /var/lib/osmo-ggsn/gsn_restart ]; then
- echo 0 > /var/lib/osmo-ggsn/gsn_restart
- fi
-
-
- daemon /usr/bin/osmo-ggsn
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/osmo-ggsn
- return $RETVAL
-}
-
-stop() {
- # Stop daemons.
- echo -n $"Shutting down $prog: "
- killproc osmo-ggsn
- RETVAL=$?
- echo
- [ $RETVAL = 0 ] && rm -f /var/lock/subsys/osmo-ggsn /var/run/osmo-ggsn.pid
- return $RETVAL
-}
-
-# See how we were called.
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload)
- stop
- start
- RETVAL=$?
- ;;
- condrestart)
- if [ -f /var/lock/subsys/osmo-ggsn ] ; then
- stop
- start
- RETVAL=$?
- fi
- ;;
- status)
- status osmo-ggsn
- RETVAL=$?
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart|condrestart|status}"
- exit 1
-esac
-
-exit $RETVAL
-
diff --git a/debian/osmo-ggsn.init b/debian/osmo-ggsn.init
deleted file mode 100755
index 6fe1b87..0000000
--- a/debian/osmo-ggsn.init
+++ /dev/null
@@ -1,163 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides: osmo-ggsn
-# Required-Start: $network $local_fs $remote_fs
-# Required-Stop: $network $remote_fs
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Gateway GPRS Support Node
-# Description: Gateway GPRS Support Node
-### END INIT INFO
-
-# Author: Harald Welte <laforge(a)gnumonks.org>
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="OsmoGGSN Gateway GPRS Support Node"
-NAME=ggsn
-DAEMON=/usr/bin/osmo-ggsn
-DAEMON_ARGS="" # Arguments to run the daemon with
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/osmo-ggsn
-
-# Exit if the package is not installed
-[ -x $DAEMON ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/osmo-ggsn ] && . /etc/default/osmo-ggsn
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-DAEMON_ARGS="$DAEMON_ARGS"
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
- # Return
- # 0 if daemon has been started
- # 1 if daemon was already running
- # 2 if daemon could not be started
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
- || return 1
-
- # Check for runtime directory of nonvolatile data
- if [ ! -d /var/lib/osmo-ggsn ]; then
- mkdir /var/lib/osmo-ggsn
- fi
-
- # Check for GTP restart counter
- if [ ! -f /var/lib/osmo-ggsn/gsn_restart ]; then
- echo 0 > /var/lib/osmo-ggsn/gsn_restart
- fi
-
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
- $DAEMON_ARGS \
- || return 2
- # Add code here, if necessary, that waits for the process to be ready
- # to handle requests from services started subsequently which depend
- # on this one. As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
- # Return
- # 0 if daemon has been stopped
- # 1 if daemon was already stopped
- # 2 if daemon could not be stopped
- # other if a failure occurred
- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
- RETVAL="$?"
- [ "$RETVAL" = 2 ] && return 2
- # Wait for children to finish too if this is a daemon that forks
- # and if the daemon is only ever run from this initscript.
- # If the above conditions are not satisfied then add some other code
- # that waits for the process to drop all resources that could be
- # needed by services started subsequently. A last resort is to
- # sleep for some time.
- start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
- [ "$?" = 2 ] && return 2
- # Many daemons don't delete their pidfiles when they exit.
- rm -f $PIDFILE
- return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
- #
- # If the daemon can reload its configuration without
- # restarting (for example, when it is sent a SIGHUP),
- # then implement that here.
- #
- start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
- return 0
-}
-
-case "$1" in
- start)
- [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
- do_start
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- stop)
- [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- status)
- status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
- ;;
- #reload|force-reload)
- #
- # If do_reload() is not implemented then leave this commented out
- # and leave 'force-reload' as an alias for 'restart'.
- #
- #log_daemon_msg "Reloading $DESC" "$NAME"
- #do_reload
- #log_end_msg $?
- #;;
- restart|force-reload)
- #
- # If the "reload" option is implemented then remove the
- # 'force-reload' alias
- #
- log_daemon_msg "Restarting $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1)
- do_start
- case "$?" in
- 0) log_end_msg 0 ;;
- 1) log_end_msg 1 ;; # Old process is still running
- *) log_end_msg 1 ;; # Failed to start
- esac
- ;;
- *)
- # Failed to stop
- log_end_msg 1
- ;;
- esac
- ;;
- *)
- #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
- exit 3
- ;;
-esac
-
-:
--
To view, visit https://gerrit.osmocom.org/c/osmo-ggsn/+/36843?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ggsn
Gerrit-Branch: master
Gerrit-Change-Id: I11bfb5122344b54970b7f742470cb74b95fa37e0
Gerrit-Change-Number: 36843
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged